UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 31125

ModelSim (SE/PE) 6.3c - (Vopt -3473) Component instance "gtx_dual_swift_bw_i:gtx_dual_swift" is not bound

Description

I am trying to simulate a design that uses GTX transceivers and ModelSim 6.3c and above.

However, I receive the following warnings in the ModelSim transcript window:

Warning(Vsim-3473) Component instance "gtx_dual_swift_bw_1:gtx_dual_swift" is not bound
Warning:[1] C:\Xilinx101i\ISE\VHDL\src\unisim_secureIP.vhd(39739):(Vopt -3473)Component instance "gtx_dual_swift_bw_i:gtx_dual_swift" is not bound."

I have compiled my libraries with the Simulation Libraries Compilation Wizard (CompXlib).

I chose the default options for the pre-compiled libraries location.

How do I resolve this error?

Solution

This might be due to a known issue, which has been fixed in ISE 10.1 sp2.

To resolve this issue, please change the SecureIP library mapping in the "modelsim.ini" file

from:

SECUREIP = C:\Xilinx\ISE10.1\ISE\vhdl\mti_se\secureip

to

SECUREIP = C:\Xilinx\ISE10.1\ISE\verilog\mti_se\secureip

Note: This issue is specific to using Secure IP libraries in ModelSim 6.3c and above.

AR# 31125
Date Created 06/09/2008
Last Updated 11/26/2014
Status Active
Type General Article
Tools
  • ISE - 10.1
  • ISE - 8.1i
  • ISE - 8.1i sp1
  • More
  • ISE - 8.1i sp2
  • ISE - 8.1i sp3
  • ISE - 8.2i
  • ISE - 8.2i sp1
  • ISE - 8.2i sp2
  • ISE - 8.2i sp3
  • ISE - 9.1i
  • ISE - 9.1i sp1
  • ISE - 9.1i sp2
  • ISE - 9.1i sp3
  • ISE - 9.2i
  • ISE - 9.2i sp1
  • ISE - 9.2i sp2
  • ISE - 9.2i sp3
  • ISE - 9.2i sp4
  • Less